=== SUNWolsrc/root/usr/openwin/share/src/apps/disktool-2.0c/Makefile ===
#
#	Makefile for "disktool"
#
# =============================================
#
# In the following section, you should uncomment the lines
# pertaining to your environment and make any path changes
# based on your installation.
#
# Configurable stuff here
#
#
#       SunOS 4.1.x(tested on 4.1.3_U1) uncomment the next 2 lines
#
#OPENWINHOME	= /usr/openwin
#AUX_CFLAGS	= -DSUNOS4
#
#       Solaris 2.x(tested on 2.3) uncomment the next 3 lines
#
OPENWINHOME	= /usr/openwin
AUX_CFLAGS	= -DSOLARIS2
OTHERLIBS	= -R/usr/openwin/lib -lnsl
#
#       HP-UX(tested on 9.07) uncomment the next 4 lines
#
#OPENWINHOME	= /usr/openwin
#AUX_CFLAGS	= -DHPUX
#XINCLUDES	= -I/usr/include/X11R5
#XLIBS		= -L/usr/lib/X11R5
#OTHERLIBS	= -lBSD
#
# FreeBSD(tested on 2.2.1) uncomment the next 2 lines
#
#OPENWINHOME	= /usr/X11R6
#AUX_CFLAGS	= -DFBSD
#
# End of Configurable stuff
#
# =============================================
#
CC		= gcc
#
OBJS	   	= disktool.o

CFILES		= disktool.c

INCLUDE 	= -I${OPENWINHOME}/include ${XINCLUDES}

CFLAGS		= ${INCLUDE} -c

# Change -O to -g for debugging purposes
LDFLAGS         = -pipe -O2


XVIEW_LIBS 	= -L${OPENWINHOME}/lib \
		  -lxview -lolgx -lX11

disktool:  ${OBJS} common.h
	${CC} ${LDFLAGS} -o $@ ${OBJS} ${XLIBS} ${XVIEW_LIBS} ${OTHERLIBS}

${OBJS}:   ${CFILES} common.h
	${CC} ${CFLAGS} ${AUX_CFLAGS} $*.c

clean:
	/bin/rm -f core disktool *.o
