=== SUNWolsrc/root/usr/openwin/share/src/apps/xvset-0.90/Makefile ===
PROGNAME = xvset
VERSION = 0.90
CC 		= gcc
CFLAGS 	= -pipe -O2 -DOWTOOLKIT_WARNING_DISABLED
LINUX_CFLAGS = -m486
DEFINES =
LIBS= -lxview -lolgx -lX11
OPENWINHOME=/usr/openwin
BINDIR=$(OPENWINHOME)/bin
MANDIR=$(OPENWINHOME)/man/man1
HELPDIR=$(OPENWINHOME)/lib/help

all:
	@echo The following "make" targets are available: linux sunos

linux:
	$(CC) $(CFLAGS) $(LINUX_CFLAGS) $(PROGNAME).c -L$(OPENWINHOME)/lib -L/usr/X11/lib $(LIBS) -o $(PROGNAME)

sunos:
	$(CC) $(CFLAGS) $(PROGNAME).c -I$(OPENWINHOME)/include -R$(OPENWINHOME)/lib -L$(OPENWINHOME)/lib $(LIBS) -o $(PROGNAME)

clean:
	rm -f core $(PROGNAME) *%

dist: clean
	(cd .. && tar cf - $(PROGNAME)_$(VERSION) | \
	gzip -9c > $(PROGNAME)_$(VERSION).tar.gz)

install: all
	install -m 755 $(PROGNAME) $(BINDIR)

install.man:
	[ -f $(PROGNAME).1 ] && install -m 444 $(PROGNAME).1 $(MANDIR)
	[ -f $(PROGNAME).info ] && install -m 444 $(PROGNAME).info $(HELPDIR)
