=== SUNWolsrc/root/usr/openwin/share/src/apps/WorkMan-1.3.4.17/debian/changelog ===
workman (1.3.4-17) unstable; urgency=low

  * moved pixmaps from /usr/X11R6/include to /usr/share
  * changed default compilation to add debug output
  * checked and updated to policy 3.6.1
  * declared PANEL_ACCEPT_KEYSTROKE to reenable Help with latest xlibs
  * excluded ia64 due to discontinued XView library support. Closes: #228966

 -- Volker Ossenkopf <ossk@ph1.uni-koeln.de>  Sun, 19 Sep 2004 11:55:00 +0200

workman (1.3.4-16) unstable; urgency=low

  * fixed gcc-3.4 compilation problem.  Closes: #264254
  * fixed two minor problems in cdrom-based volume control
  * improved workbone to prepare its release as separate binary package

 -- Volker Ossenkopf <ossk@ph1.uni-koeln.de>  Thu, 12 Aug 2004 18:50:00 +0200

workman (1.3.4-15) unstable; urgency=low

  * fixed nostrip compilation.  Closes: #228951
  * updated Brazilian Portugese translation from Andre Lopes.  Closes: #228254
  * cleaned up workbone part for future reunification

 -- Volker Ossenkopf <ossk@ph1.uni-koeln.de>  Sat, 31 Jan 2004 21:50:00 +0200

workman (1.3.4-14) unstable; urgency=low

  * added new Spanish translation from translation team (#201127)
  * added new French translation from translation team (#201631)

 -- Volker Ossenkopf <ossk@ph1.uni-koeln.de>  Mon, 21 Jul 2003 21:20:00 +0200

workman (1.3.4-13) unstable; urgency=low

  * fixed postinst script to accept all device locations (#197784)
  * added several checks in config and postinst scripts
  * adjusted German translation

 -- Volker Ossenkopf <ossk@ph1.uni-koeln.de>  Sun, 13 Jul 2003 12:20:00 +0200

workman (1.3.4-12) unstable; urgency=low

  * added french translation from translation team (#185564)
  * checked and updated policy conformance
  * added missing removal of substvars by clean rule
  * added handle for a more comfortable saving of CDDB preferences
  * fixed bug in storing the protocol value to the rc file
  * fixed wrong location of one dismiss button
  * slight clean up of source
  * updated man pages and xview info file

 -- Volker Ossenkopf <ossk@ph1.uni-koeln.de>  Mon, 12 May 2003 09:20:00 +0200

workman (1.3.4-11) unstable; urgency=low

  * added brazilian portuguese translation from Debian-BR Project (#179512)

 -- Volker Ossenkopf <ossk@ph1.uni-koeln.de>  Thu, 06 Mar 2003 21:40:00 +0200

workman (1.3.4-10) unstable; urgency=low

  * fixed build dependencies (#170135)
  * Changed configuration script from vanilla to debconf
  * Added German templates and description
  * Adapted to new policy requirements

 -- Volker Ossenkopf <ossk@ph1.uni-koeln.de>  Fri, 27 Dec 2002 14:00:00 +0200

workman (1.3.4-9) unstable; urgency=low

  * Added CDDB support by Nathan Rutman
  * Changed annoying warning message if mixer cannot be used (#112792)
  * Corrected spelling of 'address' in the user interface

 -- Volker Ossenkopf <ossk@ph1.uni-koeln.de>  Sat, 6 Oct 2001 22:00:00 +0200

workman (1.3.4-8) unstable; urgency=low

  * Added symlink to the workmanrc man page (#99572)
  * Changed maintainer's address
  * Changed to GPG signing

 -- Volker Ossenkopf <ossk@ph1.uni-koeln.de>  Mon, 2 Jul 2001 22:50:00 +0200

workman (1.3.4-7) unstable; urgency=low

  * Fixed postinst script (#90677)

 -- Volker Ossenkopf <ossk@zeus.ph1.uni-koeln.de>  Fri, 23 Mar 2001 22:30:00 +0200

workman (1.3.4-6) unstable; urgency=low

  * Corrected build-depends (#87226)

 -- Volker Ossenkopf <ossk@zeus.ph1.uni-koeln.de>  Mon, 26 Feb 2001 13:30:00 +0200

workman (1.3.4-5) unstable; urgency=low

  * Corrected menu entry (#86165)
  * Added build-depends (#85762)
  * Added __USE_GNU for alpha compile (#85872)
  * Corrected clean in Makefile
  * Switched from suidregister to dpkg-stateoverride compliance

 -- Volker Ossenkopf <ossk@zeus.ph1.uni-koeln.de>  Fri, 16 Feb 2001 23:30:00 +0200

workman (1.3.4-4) unstable; urgency=low

  * Changed file locations according to FHS 2.1.
  * Added icon for menu.
  * Include section and priority in the binary control (#84344).

 -- Volker Ossenkopf <ossk@zeus.ph1.uni-koeln.de>  Sat, 10 Feb 2001 21:20:00 +0200

workman (1.3.4-3) frozen; urgency=low

  * Added some redundancy in ATAPI error handling (#53753)
  * Added clarifying message when mixer access is denied (#55832)

 -- Volker Ossenkopf <ossk@zeus.ph1.uni-koeln.de>  Tue, 25 Mar 2000 22:20:00 +0200

workman (1.3.4-2) unstable; urgency=low

  * Fixed glibc2.1 compilation bug (#49320)
  * Corrected copyright file

 -- Volker Ossenkopf <ossk@zeus.ph1.uni-koeln.de>  Fri, 12 Nov 1999 22:40:00 +0200

workman (1.3.4-1) unstable; urgency=low

  * New upsteram version
  * Fixed permission problem using the cdrom group (#44105)
  * FHS file locations
  * Lintian 1.10 clean

 -- Volker Ossenkopf <ossk@zeus.ph1.uni-koeln.de>  Thu, 28 Oct 1999 23:00:00 +0200

workman (1.3b-4) unstable; urgency=low

  * Fixed another bug preventing compilation on Alpha (#39314)

 -- Volker Ossenkopf <ossk@zeus.ph1.uni-koeln.de>  Thu, 1 Jul 1999 23:40:00 +0200

workman (1.3b-3) unstable; urgency=low

  * Fixed error preventing compilation on Alpha (#39314)
  * Fixed wrong initialization of subtrack information (#39290)

 -- Volker Ossenkopf <ossk@zeus.ph1.uni-koeln.de>  Mon, 21 Jun 1999 23:20:00 +0200

workman (1.3b-2) unstable; urgency=low

  * Fixed errorneous treatment of xview toolkit options (#33137)
  * Fixed geometry-resizing bug with routine from latest snapshot
  * Removed compression of HTML documents (#31839)

 -- Volker Ossenkopf <ossk@zeus.ph1.uni-koeln.de>  Sat, 13 Feb 1999 21:20:00 +0200

workman (1.3b-1) unstable; urgency=low

  * New upstream version
  * Added ENXIO and window placement patches
  * Introduced modified version of open-empty-drive patch 

 -- Volker Ossenkopf <ossk@zeus.ph1.uni-koeln.de>  Sun, 30 Aug 1998 11:30:00 +0200

workman (1.3a-9) stable; urgency=low

  * Removed hard wired -m486 compile time option (#25768)

 -- Volker Ossenkopf <ossk@zeus.ph1.uni-koeln.de>  Thu, 27 Aug 1998 23:00:00 +0200

workman (1.3a-8) unstable; urgency=low

  * Added menu entry


