=== SUNWolsrc/root/usr/openwin/share/src/apps/WorkMan-1.3.4.17/debian/control ===
Source: workman
Section: sound
Priority: optional
Build-Depends: xlibs-dev, xviewg-dev, groff, po-debconf
Maintainer: Volker Ossenkopf <ossk@ph1.uni-koeln.de>
Standards-Version: 3.6.1

Package: workman
Architecture: alpha arm hppa i386 m68k mips mipsel powerpc s390 sparc
Depends: ${shlibs:Depends}, debconf
Description: Graphical tool for playing audio CDs on a CD-ROM drive
 WorkMan can play and control audio CDs from a comfortable OpenLook
 interface. It can retrieve information about CDs from a CDDB server,
 store this information in a database, and extract it automatically
 when the CD is inserted later again.
